Bug 703512 - Missing explanation for hostedWhitelist from /etc/sysconfig/rhn/up2date in the RHN Proxy Documantaion
Missing explanation for hostedWhitelist from /etc/sysconfig/rhn/up2date in t...
Status: CLOSED NOTABUG
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
541
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Athene Chan
ecs-bugs
:
Depends On:
Blocks: sat54-docs 824235
  Show dependency treegraph
 
Reported: 2011-05-10 10:49 EDT by Dimitar Yordanov
Modified: 2015-05-11 18:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 19:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2011-05-10 10:49:33 EDT
Description of problem:

I could not find any notice in the RHN Proxy Documentation how  "hostedWhitelist"  from /etc/sysconfig/rhn/up2date could be used.

One of the possible usage is discussed in 

Bug 696918 - configure-proxy.sh and Monitoring scout when Installed to Hosted.
Comment 1 Lana Brindley 2011-05-10 20:12:42 EDT
Sat 5.4.1 documentation has now been dropped to translation, and no further edits can be accepted. This bug will be addressed in the next version.

LKB
Comment 2 Lana Brindley 2012-01-04 18:35:18 EST
Reading Comment 7 from BZ#696918:

<quote>
Yes, in this situation, is_hosted will not be able to resolve it correctly. I
do not think it is even doable. I think best (and easiest) way will be opening
documentation bug, to add note that in mentioned setup:
 RHN-Proxy to be Install  ->  RHN-Proxy -> rhn.redhat.com
You should add that RHN-Proxy to whitelist.
Dimitar, can you please open such bugzilla?
</quote>

I assume we need to add some kind of note (admonition?) to the installation instructions mentioning that RHN-Proxy needs to be added to the whitelist. Is this correct? If so, can I please get some assistance on wording and instructions for the user on how to do this?

Thanks,
LKB
Comment 3 Dimitar Yordanov 2012-01-09 05:36:41 EST
Hi Lana, 
 
  I guess it will be best  if we change it like:

   4.2. RHN Proxy Server Installation ProcessThe following instructions describe the RHN Proxy Server installation process:

   1.
      Register the newly-installed Red Hat Enterprise Linux system with Red Hat Network (either the central RHN Servers or your RHN Satellite Server) using the organizational account containing the RHN Proxy Server entitlement with the command: rhn_register. 

   [TIP ]

    In case you are to install RHN-Proxy to rhn.redhat.com but you are not directly registered to rhn.redhat.com but to another RHN-Proxy
    (e.g. RHN-Proxy to be Installed  ->  RHN-Proxy -> rhn.redhat.com )
    please add RHN-Proxy host name to  "hostedWhitelist"  in /etc/sysconfig/rhn/up2date

  2. To perform an installation, type the following command:

Note You need to log in before you can comment on or make changes to this bug.